#ifndef GAME
    #define GAME
    #include "qwixx.h"
    #include "dice.h"
    #include "playerCard.h"
    #include <windows.h>
    class Game {
        public:
        std::vector<PlayerCard> players;
        std::vector<bool> lockOut;
        int state; 
        Dice dice;
        Game();
        void turn(PlayerCard activePlayer);
        void score();
        std::string send();
        void receive(std::string userInput);
        // rules as methods of game
        bool addPlayer(std::string name);
        // rule for lockout to populate a locked out row so score function can check for locked rows
        // rule for being able to lockout a row, check for last box marked off and set condition where the next box has to be higher than that previous box check
    };
#endif